//var endpoint_url = 'https://ws.navieros.mx';
//var endpoint_url = 'http://127.0.0.1:8001';
var endpoint_url = 'https://ws-legacy.navieros.com';

ons.platform.select('android');

window.tokenstamp_current = [];

var assets = [
	"css/app.css",
	"js/app.js"
];
var assetsVersion = 0;

function startApp(){
	//obtenemos la ultima version del app para asignarselo a cada asset que se va refrescar
	$.get(window.endpoint_url + "/version",function(response){
		if(response.status == "ok"){
			loadAssets( response.version);
		}else{
			alert("Problemas con el servidor.");
		}
	});
}

function loadAssets(version){
	window.assetsVersion = version;
	for(var i = 0; i < window.assets.length; i++){
		var asset = window.assets[i];
		var asset_ext = asset.split(".");
		var asset_ext = asset_ext[asset_ext.length - 1];
		asset += "?v="+version;
		switch(asset_ext){
			case "css":
				var link = document.createElement( "link" );
				link.href = asset;
				link.type = "text/css";
				link.rel = "stylesheet";
				link.media = "screen";
				link.asset = asset;
				link.onload = function(){
					console.log(this.asset+" loaded");
				};
				document.head.appendChild(link); 
			break;
			case "js":
				var script = document.createElement('script');	
				script.onload = function () {
					console.log(this.asset+" loaded");
				};
				script.asset = asset;
				script.src = asset;
				document.head.appendChild(script); 
			break;
		}
		
	}
}

//
function twoDigits(d){
	if(0 <= d && d < 10) return "0" + d.toString();
	if(-10 < d && d < 0) return "-0" + (-1*d).toString();
	return d.toString();
}

Date.prototype.toMysqlFormat = function() {
	//return this.getUTCFullYear() + "-" + twoDigits(1 + this.getUTCMonth()) + "-" + twoDigits(this.getUTCDate()) + " " + twoDigits(this.getUTCHours()) + ":" + twoDigits(this.getUTCMinutes()) + ":" + twoDigits(this.getUTCSeconds());
	return this.getUTCFullYear() + "-" + twoDigits(1 + this.getUTCMonth()) + "-" + twoDigits(this.getUTCDate());
};

function isMobileDevice() {
    return (typeof window.orientation !== "undefined") || (navigator.userAgent.indexOf('IEMobile') !== -1);
}

//script para prevenir ROBOT de google maps
var head = document.getElementsByTagName('head')[0];
// Save the original method
var insertBefore = head.insertBefore;
// Replace it!
head.insertBefore = function (newElement, referenceElement) {
	if (newElement.href && newElement.href.indexOf('https://fonts.googleapis.com/css?family=Roboto') === 0) {
		console.info('Prevented Roboto from loading!');
		return;
	}
	insertBefore.call(head, newElement, referenceElement);
};


var isMobile = isMobileDevice();

startApp();

if(isMobile){
	document.addEventListener('deviceready', function inicializar(){
		//aqui se inicializa el push notification
		//splashscreen
		//gps
		//statusbar
		
	}, false);

	document.addEventListener("backbutton", function(){
		$rootScope = angular.element(document).scope();
		$rootScope.$broadcast('backbutton',{
			tokenstamp:window.tokenstamp_current[window.tokenstamp_current.length - 1]
		});
		window.tokenstamp_current.pop();
	}, false);
}